/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 */
package org.apache.isis.viewer.bdd.common;

public final class IsisViewerConstants {

    private IsisViewerConstants() {
    }

    public static final String ON_OBJECT_HEAD = "on object";
    public static final String ON_OBJECT_HEAD_ALT1 = "object";
    public static final String ON_OBJECT_HEAD_ALT2 = "on";
    public static final String[] ON_OBJECT_HEAD_SET = { ON_OBJECT_HEAD, ON_OBJECT_HEAD_ALT1, ON_OBJECT_HEAD_ALT2 };
    public static final String ON_OBJECT_NAME = ON_OBJECT_HEAD;

    public static final String ALIAS_RESULT_HEAD = "alias result as";
    public static final String ALIAS_RESULT_HEAD_ALT1 = "result=";
    public static final String ALIAS_RESULT_HEAD_ALT2 = "alias=";
    public static final String ALIAS_RESULT_HEAD_ALT3 = "alias as";
    public static final String[] ALIAS_RESULT_HEAD_SET = { ALIAS_RESULT_HEAD, ALIAS_RESULT_HEAD_ALT1, ALIAS_RESULT_HEAD_ALT2, ALIAS_RESULT_HEAD_ALT3 };
    public static final String ALIAS_RESULT_NAME = ALIAS_RESULT_HEAD;

    public static final String TITLE_NAME = "Title";
    public static final String TITLE_HEAD = "title";

    public static final String TYPE_NAME = "Type";
    public static final String TYPE_HEAD = "type";

    public static final String VALUE_NAME = "Title";
    public static final String VALUE_HEAD = "value";

    public static final String PERFORM_HEAD = "perform";
    public static final String PERFORM_HEAD_ALT1 = "do";
    public static final String PERFORM_HEAD_ALT2 = "interaction";
    public static final String PERFORM_HEAD_ALT3 = "interaction type";
    public static final String[] PERFORM_HEAD_SET = { PERFORM_HEAD, PERFORM_HEAD_ALT1, PERFORM_HEAD_ALT2, PERFORM_HEAD_ALT3 };
    public static final String PERFORM_NAME = PERFORM_HEAD;

    public static final String ON_MEMBER_HEAD = "on member";
    public static final String ON_MEMBER_HEAD_ALT1 = "using member";
    public static final String ON_MEMBER_HEAD_ALT2 = "using";
    public static final String ON_MEMBER_HEAD_ALT3 = "member";
    public static final String[] ON_MEMBER_HEAD_SET = { ON_MEMBER_HEAD, ON_MEMBER_HEAD_ALT1, ON_MEMBER_HEAD_ALT2, ON_MEMBER_HEAD_ALT3 };
    public static final String ON_MEMBER_NAME = ON_MEMBER_HEAD;

    public static final String THAT_IT_HEAD = "that it";
    public static final String THAT_IT_HEAD_ALT1 = "that";
    public static final String THAT_IT_HEAD_ALT2 = "verb";
    public static final String[] THAT_IT_HEAD_SET = { THAT_IT_HEAD, THAT_IT_HEAD_ALT1, THAT_IT_HEAD_ALT2 };
    public static final String THAT_IT_NAME = THAT_IT_HEAD;

    public static final String WITH_ARGUMENTS_HEAD = "with arguments";
    public static final String WITH_ARGUMENTS_HEAD_ALT1 = "with";
    public static final String WITH_ARGUMENTS_HEAD_ALT2 = "arguments";
    public static final String WITH_ARGUMENTS_HEAD_ALT3 = "parameters";
    public static final String WITH_ARGUMENTS_HEAD_ALT4 = "with parameters";
    public static final String WITH_ARGUMENTS_HEAD_ALT5 = "for";
    public static final String WITH_ARGUMENTS_HEAD_ALT6 = "for arguments";
    public static final String WITH_ARGUMENTS_HEAD_ALT7 = "for parameters";
    public static final String WITH_ARGUMENTS_HEAD_ALT8 = "value";
    public static final String WITH_ARGUMENTS_HEAD_ALT9 = "reference";
    public static final String[] WITH_ARGUMENTS_HEAD_SET = { WITH_ARGUMENTS_HEAD, WITH_ARGUMENTS_HEAD_ALT1, WITH_ARGUMENTS_HEAD_ALT2, WITH_ARGUMENTS_HEAD_ALT3, WITH_ARGUMENTS_HEAD_ALT4, WITH_ARGUMENTS_HEAD_ALT5, WITH_ARGUMENTS_HEAD_ALT6, WITH_ARGUMENTS_HEAD_ALT7, WITH_ARGUMENTS_HEAD_ALT8,
            WITH_ARGUMENTS_HEAD_ALT9 };
    public static final String WITH_ARGUMENTS_NAME = WITH_ARGUMENTS_HEAD;

}
